Get the alerting framework health
Base URL
https://{kibana_url}
GET
/api/alerting/_health
GET
/s/{space_id} /api/alerting/_health
Auth
You must have read privileges for the Management > Stack Rules feature or for at least one of the Analytics > Discover , Analytics > Machine Learning , Observability , or Security features.
Expand all
space_id
string
optional
An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.
200
Indicates a successful call.
application/json
alerting_framework_health
object
Three substates identify the health of the alerting framework: decryption_health, execution_health, and read_health.
+
Show 3 properties
decryption_health
object
The timestamp and status of the rule decryption.
+
Show 2 properties
status
enum
Values:
error
ok
warn
timestamp
string · format: date-time
execution_health
object
The timestamp and status of the rule run.
+
Show 2 properties
status
enum
Values:
error
ok
warn
timestamp
string · format: date-time
read_health
object
The timestamp and status of the rule reading events.
+
Show 2 properties
status
enum
Values:
error
ok
warn
timestamp
string · format: date-time
has_permanent_encryption_key
boolean
If false, the encrypted saved object plugin does not have a permanent encryption key.
is_sufficiently_secure
boolean
If false, security is enabled but TLS is not.
401
Authorization information is missing or invalid.
application/json
error
enum
Values:
Unauthorized
statusCode
enum
Values:
401